Cloud Connector API Changelog

Changelog 2026-02-27T10:08:08.382Z

POST /systems/{system_id}/assets/{asset_id}/link

  • endpoint added

(sha b43a6527)

Changelog 2026-03-03T14:20:49.662Z

POST /events/appliance/create

  • :warning: api path removed without deprecation

POST /events/appliance/delete

  • :warning: api path removed without deprecation

POST /events/appliance/update

  • :warning: api path removed without deprecation

(sha be41cad2)

Changelog 2026-03-09T09:49:39.693Z

GET /systems/{system_id}/assets

  • :warning: added ‘#/components/schemas/EVCS’ to the ‘assets/items/’ response property ‘oneOf’ list for the response status ‘200’
  • :warning: added the new ‘EV’ enum value to the ‘assets/items/oneOf[#/components/schemas/EV]/type’ response property for the response status ‘200’
  • the response property ‘assets/items/oneOf[#/components/schemas/EV]/updatedAt’ became required for the status ‘200’
  • added ‘EVCS’ discriminator mapping keys to the ‘assets/items/’ response property for the response status ‘200’

POST /systems/{system_id}/assets/link

  • added the new optional request property ‘assetTypes’

GET /systems/{system_id}/assets/{asset_id}

  • :warning: added ‘#/components/schemas/EVCS’ to the response body ‘oneOf’ list for the response status ‘200’
  • :warning: added the new ‘EV’ enum value to the ‘/oneOf[#/components/schemas/EV]/type’ response property for the response status ‘200’
  • added ‘EVCS’ mapping keys to the response discriminator for the response status ‘200’
  • the response property ‘/oneOf[#/components/schemas/EV]/updatedAt’ became required for the status ‘200’

POST /systems/{system_id}/assets/{asset_id}/link

  • added the new optional request property ‘assetTypes’

(sha 9cd672eb)

Changelog 2026-03-11T08:25:59.438Z

GET /systems/{system_id}/assets

  • :warning: added ‘#/components/schemas/EVSTATION’ to the ‘assets/items/’ response property ‘oneOf’ list for the response status ‘200’
  • added ‘EVSTATION’ discriminator mapping keys to the ‘assets/items/’ response property for the response status ‘200’
  • removed ‘EVCS’ discriminator mapping keys from the ‘assets/items/’ response property for the response status ‘200’
  • removed ‘#/components/schemas/EVCS’ from the ‘assets/items/’ response property ‘oneOf’ list for the response status ‘200’

GET /systems/{system_id}/assets/{asset_id}

  • :warning: added ‘#/components/schemas/EVSTATION’ to the response body ‘oneOf’ list for the response status ‘200’
  • added ‘EVSTATION’ mapping keys to the response discriminator for the response status ‘200’
  • removed ‘EVCS’ mapping keys from the response discriminator for the response status ‘200’
  • removed ‘#/components/schemas/EVCS’ from the response body ‘oneOf’ list for the response status ‘200’

(sha 1dfbaab7)

GET /systems/{system_id}/assets

  • :warning: removed the optional property ‘assets/items/oneOf[#/components/schemas/EV]/deletedAt’ from the response with the ‘200’ status
  • :warning: removed the optional property ‘assets/items/oneOf[#/components/schemas/EV]/tags’ from the response with the ‘200’ status
  • :warning: removed the optional property ‘assets/items/oneOf[#/components/schemas/EV]/updateAt’ from the response with the ‘200’ status

GET /systems/{system_id}/assets/{asset_id}

  • :warning: removed the optional property ‘/oneOf[#/components/schemas/EV]/deletedAt’ from the response with the ‘200’ status
  • :warning: removed the optional property ‘/oneOf[#/components/schemas/EV]/tags’ from the response with the ‘200’ status
  • :warning: removed the optional property ‘/oneOf[#/components/schemas/EV]/updateAt’ from the response with the ‘200’ status

(sha c8236c96)

API Changes

GET /systems/{system_id}/actions

  • added the required property ‘/items/resolution/action’ to the response with the ‘200’ status

(sha 61ee0cb5)

API Changes

GET /systems/{system_id}/actions

  • :warning: the response property /items/resolution/action became optional for the status 200

(sha b877c52e)

Changelog 2026-04-27T14:59:58.059Z

Components

  • removed the schema ChargeModeBase

(sha ebfc39fc)

Changelog 2026-06-09T12:35:37.142Z

API Changes

DELETE /cloud-connector/migrate

  • added the optional property result/additionalProperties/assetIDs to the response with the 204 status

POST /cloud-connector/migrate

  • added the optional property result/additionalProperties/assetIDs to the response with the 200 status

(sha 0f8212db)

Components

  • the component security scheme HeaderAuth was removed

(sha e9995370)

API Changes

GET /systems/{system_id}/assets

  • :warning: added #/components/schemas/Inverter, #/components/schemas/Meter to the assets/items/ response property oneOf list for the response status 200
  • added METER, INVERTER discriminator mapping keys to the assets/items/ response property for the response status 200

POST /systems/{system_id}/assets/link

  • added the new INVERTER enum value to the request property assetTypes/items/

GET /systems/{system_id}/assets/{asset_id}

  • :warning: added #/components/schemas/Inverter, #/components/schemas/Meter to the response body oneOf list for the response status 200
  • added METER, INVERTER mapping keys to the response discriminator for the response status 200

POST /systems/{system_id}/assets/{asset_id}/link

  • added the new INVERTER enum value to the request property assetTypes/items/

Components

  • removed the schema LinkEVRedirect

(sha 7d1857e6)

API Changes

GET /systems/{system_id}/assets

  • :warning: api path removed without deprecation

GET /systems/{system_id}/assets/{asset_id}

  • :warning: api path removed without deprecation

Components

  • removed the schema Asset
  • removed the schema AssetList
  • removed the schema AuxMeter
  • removed the schema BaseAsset
  • removed the schema ConnectionStatus
  • removed the schema EV
  • removed the schema EVSTATION
  • removed the schema Inverter
  • removed the schema Meter
  • removed the schema MeterLocation
  • removed the schema serialnumber

(sha 1db637bb)

GET /systems/{system_id}/assets

  • :warning: api path removed without deprecation

GET /systems/{system_id}/assets/{asset_id}

  • :warning: api path removed without deprecation

A note about this:

The endpoints weren’t actually removed, they were just moved to the general API documentation as they aren’t Cloud Connector specific. For clients nothing changes, only where the documentation lives.

API Changes

GET /systems/{system_id}/assets/{asset_id}/chargesessions

  • endpoint deprecated

(sha 7a31ccb0)